#!/bin/bash

CURRENT_KERNEL=$(uname -r)

if ! dpkg -l | grep -q "linux-headers-$CURRENT_KERNEL"; then
    echo "Kernel headers for $CURRENT_KERNEL not found. Installing..."
    sudo apt-get update
    sudo apt-get install -y linux-headers-$CURRENT_KERNEL
else
    echo "Kernel headers for $CURRENT_KERNEL are already installed."
fi
